#pragma once

class CGpibNi
{
private:
	int m_GpibDevice;											// GPIBデバイス
	char m_TransferBuffer[65536];								// 転送バッファ

public:
	CString m_ReceiveData;										// 受信データ

public:
	CGpibNi();
	virtual ~CGpibNi();
	BOOL OpenInterface(int BoardID, int DeviceAddress);
	BOOL CloseInterface();
	BOOL SendMsg(CString SendData);
	BOOL ReceiveMsg(DWORD Timeout);
	BOOL SendQueryMsg(CString SendData, DWORD Timeout);
	CString GetNIErrorMessage();
	CString GetLastErrorMessage(DWORD MessageId);
};
